Subject: Re: [PATCH net-next 3/4] ipv6: Use hash-threshold instead of modulo-N

From: Ido Schimmel <[email-masked]>
Date: Wed, 10 Jan 2018 14:02:50 +0200

On Tue, Jan 09, 2018 at 08:54:00PM -0700, David Ahern wrote:
> Did you consider adding the net->ipv4.sysctl_fib_multipath_use_neigh
> check as well? ie., if set, verify neighbor is alive before picking that hop

No, but I'll add it to my TODO list.

It's what effectively happens in mlxsw. If the neighbour isn't
NUD_VALID, then we don't have a MAC we can use in the adjacency table
and the nexthop isn't considered during multipath selection.